Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06957 Crash/Freeze Major Always May 4, 2018, 23:10 Jun 24, 2019, 00:39
Tester StHiryu View Status Public Platform MAME (Unofficial Binary)
Assigned To Resolution Open OS Windows Vista/7/8 (64-bit)
Status [?] Confirmed Driver specpls3.cpp
Version 0.197 Fixed in Version Build 64-bit
Summary MESS-specific 06957: specpls3, specpl2a: Loading some .dsk files in a spectrum disk system leads to a striped screen or resets the machine.
Description Loading from some disk images leads to a freeze or reset, however, the tape images load fine:
(from http://www.worldofspectrum.org/)
OutRun.dsk
Batman-TheMovie.dsk
RoboCop.dsk
(From software list specpls3_flop.xml)
strider.dsk
Steps To Reproduce Insert disk image and in the main menu, select loader and press intro.
Additional Information
Flags
Regression Version
Affected Sets / Systems specpls3, specpl2a
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
7
User avatar
No.16277
StHiryu
Tester
Mar 27, 2019, 16:20
Updated the report including other disk images from 07083 that should be really here. (batman and robocop).

The 07083 report should be resolved, not closed, since the main issue with the Golden Axe disk image was solved, and was a different problem (The disk loaded fine, but some garbage appeared ingame.)
User avatar
No.16319
AmatCoder
Tester
Apr 10, 2019, 23:01
Really there are two issues:

- Game leads to a striped screen: Speedlock +3 protection - weak sectors. Hard to implement (and it would need some support from softlist).
  Examples: Out Run, Robocop, After Burner, Buggy Boy, W.E.C. Le Mans...

- Game leads to a red border and reset: Paul Ownens protection. Easy to fix but it would need to implement a new device.
  Examples: Batman-The Movie, Cabal, Chase HQ...
User avatar
No.16327
Haze
Senior Tester
Apr 13, 2019, 12:19
Out of interest, why would Paul Owen's stuff need a new device? was it a dongle?
User avatar
No.16328
AmatCoder
Tester
Apr 13, 2019, 14:00
No, I mean another upd765 device type.
Real machine uses a normal upd765 but it only use the US0 pin to select drives (the US1 is disconnected) so it only can select two drives (and then drive 2 = drive 0 and drive 3 = drive 1).

Games with Paul Owens protection selects drive 2 to continue loading.
Real hardware -> driver 2 = driver 0 -> is ready- > load
Mame -> driver 2 = driver 2 -> is not ready -> reset
User avatar
No.16330
Haze
Senior Tester
Apr 13, 2019, 14:28
hmm then it should surely be possible to configure the device to have that behaviour in MAME if the pin is disconnected? if it's regular upd765 it shouldn't need a new device, just an option for the device.
User avatar
No.16335
Haze
Senior Tester
Apr 13, 2019, 23:12
AJR addressed this
https://github.com/mamedev/mame/commit/31fad1a57c7f20986e5687b2678598e91a798a3b
User avatar
No.16584
StHiryu
Tester
Jun 24, 2019, 00:39
Added strider.dsk from sotfware list.